## wput 0.5

=== Makefile ===
#wput makefile
prefix      = /usr/local
mandir	    = $(prefix)/man/man1
exec_prefix = ${prefix}
bindir=${exec_prefix}/bin

all clean win-clean: 
	cd src && $(MAKE) $@
install: all
	cp wput $(bindir)
	cp doc/wput.1.gz $(mandir) 
	@echo "----------------"
	@echo "Wput installed. See 'wput -h' or 'man wput' for usage information."
	@echo "Further documentation is located in the doc/USAGE.* files."
	@echo 
	@echo "Wput is not perfect, so please report any bugs you notice (see BUGS-section"
	@echo "in the manpage)."
	@echo "----------------"
uninstall:
	rm -f $(bindir)/wput
	rm -f $(mandir)/wput.1.gz
