=== src/Makefile ===
#wput.mk
#mm make file for wput
SHELL=/bin/sh
prefix=/usr/local
bindir=${exec_prefix}/bin
CC=gcc
CFLAGS=  -Wall  -g
LIBS=
EXE=../wput
GETOPT=
MEMDBG=
OBJ=wput.o ftp.o utils.o progress.o socket.o queue.o ftp-ls.o $(GETOPT) $(MEMDBG)
HEAD=wput.h ftp.h utils.h progress.h socket.h _queue.h windows.h ../config.h

all: wput

wput.o ftp.o: $(HEAD)
$(OBJ): utils.h windows.h wput.h
utils.o socket.o: socket.h
progress.o: progress.h 
queue.o: _queue.h progress.h ftp.h
ftp-ls.o: ftp.h

wput:   $(OBJ)
	$(CC) -o $(EXE) $(OBJ) $(LIBS)
clean:
	rm -f *.o *~ *.bak ../wput getopt/*.o
win-clean: clean
	rm -r msvcpp/[Dd]ebug msvcpp/[Rr]elease ../wput.exe
