## wput 0.6

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,22 @@
 #wput makefile
+PACKAGE     = wput
 prefix      = /usr/local
-mandir	    = $(prefix)/man/man1
+datadir     = $(prefix)/share
+mandir	    = $(datadir)/man/man1
 exec_prefix = ${prefix}
 bindir=${exec_prefix}/bin
 
-all clean win-clean: 
-	cd src && $(MAKE) $@
+all clean:
+	cd po && $(MAKE) $(MAKEDEFS) $@
+	cd src && $(MAKE) $(MAKEDEFS) $@
+	
+win-clean:
+	cd src && $(MAKE) $(MAKEDEFS) $@
+
 install: all
-	cp wput $(bindir)
-	cp doc/wput.1.gz $(mandir) 
+	cd po && $(MAKE) $(MAKEDEFS) $@
+	install -m0755 wput $(bindir)
+	install -m0644 doc/wput.1.gz $(mandir)
 	@echo "----------------"
 	@echo "Wput installed. See 'wput -h' or 'man wput' for usage information."
 	@echo "Further documentation is located in the doc/USAGE.* files."
