=== debian/control ===
Source: wput
Section: web
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), libgnutls-dev, autotools-dev
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/wput.git
Vcs-Git: git://git.debian.org/git/collab-maint/wput.git
Homepage: http://freshmeat.net/projects/wput

Package: wput
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tiny wget-like ftp-client for uploading files
 Wput is a tiny ftp-client, that uploads files or directories to a
 remote ftp-server.
 .
 Main features are: resuming, time-stamping, wget-like interface,
 proxy-support and speed-limit.
