## wput 0.6.2%2Bgit20130413

=== po/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Origin: gettext-0.14
 
 PACKAGE = wput
-VERSION = 0.6
+VERSION = 0.6.2
 
 SHELL = /bin/sh
 
@@ -40,10 +40,10 @@
 MSGCONV = msgconv
 MSGFILTER = msgfilter
 
-POFILES =  de.po it.po
-GMOFILES =  de.gmo it.gmo
-UPDATEPOFILES =  de.po-update it.po-update
-DUMMYPOFILES =  de.nop it.nop
+POFILES =  cs.po da.po de.po el.po en_GB.po es.po fi.po fr.po gl.po it.po ja.po nl.po pl.po pt_BR.po ru.po sv.po tr.po uk.po zh_CN.po zh_HK.po
+GMOFILES =  cs.gmo da.gmo de.gmo el.gmo en_GB.gmo es.gmo fi.gmo fr.gmo gl.gmo it.gmo ja.gmo nl.gmo pl.gmo pt_BR.gmo ru.gmo sv.gmo tr.gmo uk.gmo zh_CN.gmo zh_HK.gmo
+UPDATEPOFILES =  cs.po-update da.po-update de.po-update el.po-update en_GB.po-update es.po-update fi.po-update fr.po-update gl.po-update it.po-update ja.po-update nl.po-update pl.po-update pt_BR.po-update ru.po-update sv.po-update tr.po-update uk.po-update zh_CN.po-update zh_HK.po-update
+DUMMYPOFILES =  cs.nop da.nop de.nop el.nop en_GB.nop es.nop fi.nop fr.nop gl.nop it.nop ja.nop nl.nop pl.nop pt_BR.nop ru.nop sv.nop tr.nop uk.nop zh_CN.nop zh_HK.nop
 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in $(DOMAIN).pot stamp-po \
@@ -61,7 +61,7 @@
      ../src/progress.c \
      ../src/ftp-ls.c
 
-CATALOGS =  de.gmo it.gmo
+CATALOGS =  cs.gmo da.gmo de.gmo el.gmo en_GB.gmo es.gmo fi.gmo fr.gmo gl.gmo it.gmo ja.gmo nl.gmo pl.gmo pt_BR.gmo ru.gmo sv.gmo tr.gmo uk.gmo zh_CN.gmo zh_HK.gmo
 
 # Makevars gets inserted here. (Don't remove this line!)
 # Makefile variables for PO directory in any package using GNU gettext.
@@ -297,37 +297,3 @@
 uninstall-exec:
 uninstall-data: uninstall-data-yes
 	if test "$(PACKAGE)" = "gettext-tools"; then \
-	  for file in $(DISTFILES.common) Makevars.template; do \
-	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
-	  done; \
-	else \
-	  : ; \
-	fi
-uninstall-data-no:
-uninstall-data-yes:
-	catalogs='$(CATALOGS)'; \
-	for cat in $$catalogs; do \
-	  cat=`basename $$cat`; \
-	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
-	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
-	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
-	  done; \
-	done
-
-check: all
-
-info dvi ps pdf html tags TAGS ctags CTAGS ID:
-
-mostlyclean:
-	rm -f remove-potcdate.sed
-	rm -f stamp-poT
-	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
-	rm -fr *.o
-
-clean: mostlyclean
-
-distclean: clean
-	rm -f Makefile Makefile.in POTFILES *.mo
-
-maintainer-clean: distclean
-	@echo "This command is intended for maintainers to use;"
