=== debian/control ===
Source: wput
Section: web
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper (>= 9), libgnutls-openssl-dev, autotools-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wput.git
Vcs-Git: git://anonscm.debian.org/collab-maint/wput.git
Homepage: http://wput.sourceforge.net/

Package: wput
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tiny wget-like ftp-client for uploading files
 Wput is a tiny ftp-client, that uploads files or directories to a
 remote ftp-server.
 .
 Main features are: resuming, time-stamping, wget-like interface,
 proxy-support and speed-limit.
