=== doc/Makefile ===
all:
	gzip < wput.1 > wput.1.gz
	gzip < wdel.1 > wdel.1.gz
clean:
	rm -f wput.1.gz wdel.1.gz
