=== debian/changelog ===
wput (0.6.2+git20130413-8) unstable; urgency=medium

  * Migrate to Salsa.
  * Remove obsolete Lintian overrides.
  * Delete src/config.h to allow building twice in a row.
  * Remove obsolete build dependency on autotools-dev.
  * Update debian/copyright.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 May 2018 00:08:24 +0200

wput (0.6.2+git20130413-7) unstable; urgency=medium

  * Switch to debhelper compatibility level 10 and fix configure.in so
    autoreconf works, which allows Marcos’ fix to actually take effect
    (really, really LP: #1678463).

 -- Stephen Kitt <skitt@debian.org>  Thu, 08 Jun 2017 20:49:57 +0200

wput (0.6.2+git20130413-6) unstable; urgency=medium

  * Add patch by Marcos Diez so that configure finds TLS support on Ubuntu
    (really LP: #1678463); thanks Marcos!

 -- Stephen Kitt <skitt@debian.org>  Thu, 08 Jun 2017 08:31:47 +0200

wput (0.6.2+git20130413-5) unstable; urgency=medium

  * Actually build with TLS support (LP: #1678463).

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 Jun 2017 16:39:05 +0200

wput (0.6.2+git20130413-4) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Add patch to avoid overrunning buffers, thanks to Oldřich Jedlička.
    (LP: #949689 and hopefully Closes: #733304).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Add more spelling fixes.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Dec 2016 21:57:19 +0100

wput (0.6.2+git20130413-3) unstable; urgency=medium

  * Account for ASCII conversions when calculating buffer limits; thanks
    to 左刚 for the patch! (Closes: #492950, #801949.)
  * Remove generated Makefiles in po when cleaning, to allow building
    twice in a row.
  * Correct debian/copyright.
  * Simplify the build.
  * Fix spelling of "Transferred".
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Oct 2015 18:36:12 +0200

wput (0.6.2+git20130413-2) unstable; urgency=low

  * Build-depend on libgnutls-openssl-dev, thanks Andreas Metzler for the
    patch. (Closes: #731559.)
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Dec 2013 11:01:09 +0100

wput (0.6.2+git20130413-1) unstable; urgency=low

  * New maintainer, thanks Jari for all your work on this package!
    (Closes: #701867.)
  * New upstream snapshot.
  * Drop patches 10 and 12, fixed upstream.
  * Refresh patch 11, and move _XOPEN_SOURCE declaration from debian/rules
    to the patch.
  * Refresh patches 30, 31 and 40.
  * Specify sf.net project page as homepage.
  * Always rebuild the .gmo files, and handle the absence of
    config.status.
  * Use canonical VCS URIs.
  * Standards-Version 3.9.4, no change required.
  * Drop -Wl,--as-needed, it prevents configure finding gnutls.
  * Test gnutls without gcrypt. (Closes: #638663.)

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 Oct 2013 01:10:08 +0200
