=== debian/control ===
Source: wput
Maintainer: Stephen Kitt <skitt@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper (>= 11~),
               libgcrypt20-dev,
               libgnutls-openssl-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/wput
Vcs-Git: https://salsa.debian.org/debian/wput.git
Homepage: http://wput.sourceforge.net/

Package: wput
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: tiny wget-like ftp-client for uploading files
 Wput is a tiny ftp-client, that uploads files or directories to a
 remote ftp-server.
 .
 Main features are: resuming, time-stamping, wget-like interface,
 proxy-support and speed-limit.
