=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic

override_dh_auto_clean:
	touch config.status
	dh_auto_clean
	rm -f config.status

%:
	dh $@
