=== debian/watch ===
version=3
http://sf.net/wput/wput-(\d.+)\.tgz
